package cn.estsh.i3plus.ext.mes.pojo.model.bu3;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic-bu
 * @DESCRIPTION:
 * @USER: wangjie
 * @DATE: 2022-11-01 15:54
 */
@Data
@ApiModel("工厂配置MODEL")
public class SxOrgCfgModel implements Serializable {

    private static final long serialVersionUID = 5520432041280813750L;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("工厂代码")
    public String org;

    @ApiParam("组织名称")
    public String orgName;

    public SxOrgCfgModel(String organizeCode) {
        this.organizeCode = organizeCode;
    }

    public SxOrgCfgModel org(String org) {
        this.org = org;
        return this;
    }

    public SxOrgCfgModel orgName(String orgName) {
        this.orgName = orgName;
        return this;
    }
}
